For AI agents: a documentation index is available at the root level at /llms.txt and /llms-full.txt. Append /llms.txt to any URL for a page-level index, or .md for the markdown version of any page.
ModelsChatRankingsDocs
DocsAPI ReferenceClient SDKsAgent SDKCookbookChangelog
DocsAPI ReferenceClient SDKsAgent SDKCookbookChangelog
  • API Guides
    • Overview
    • Streaming
    • Embeddings
    • Limits
    • Authentication
    • Parameters
    • Errors and Debugging
  • API Reference
      • GETPreview the impact of ZDR on the available endpoints
      • GETList all endpoints for a model
LogoLogo
ModelsChatRankingsDocs
API ReferenceEndpoints

List all endpoints for a model

GET
https://openrouter.ai/api/v1/models/:author/:slug/endpoints
GET
/api/v1/models/:author/:slug/endpoints
$curl https://openrouter.ai/api/v1/models/openai/gpt-4/endpoints \
> -H "Authorization: Bearer <token>"
1{
2 "data": {
3 "architecture": {
4 "input_modalities": [
5 "text"
6 ],
7 "instruct_type": "chatml",
8 "modality": "text->text",
9 "output_modalities": [
10 "text"
11 ],
12 "tokenizer": "GPT"
13 },
14 "created": 1692901234,
15 "description": "GPT-4 is a large multimodal model.",
16 "endpoints": [],
17 "id": "openai/gpt-4",
18 "name": "GPT-4"
19 }
20}
Was this page helpful?
Previous

Get request & usage metadata for a generation

Next
Built with

Authentication

AuthorizationBearer
API key as bearer token in Authorization header

Path parameters

authorstringRequired

The author/organization of the model

slugstringRequired
The model slug

Response

Returns a list of endpoints
dataobject
List of available endpoints for a model

Errors

404
Not Found Error
500
Internal Server Error